Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.togethersoft.openapi.sci
Interface SciInitializer

public interface SciInitializer
extends SciElement

Represents a class or an instance initializer (Java only).

This interface provides access to the code of Java class or instance initializer.

Note that initializers are not treated as members of class and can be requested only via Java specific extensions of `SciLanguageHelper` interface.

Author:
  TogetherSoft
See Also: SciLanguageHelper, SciJavaHelper

Method Summary
`boolean` | `canSetBody(SciCodeBlock body)` Checks whether is it possible to set the body of this function to the specified code block value.
`SciCodeBlock` | `getBody()` Returns code block with the body of this function.
`SciClass` | `getContainingClass()` Returns the class/interface containing this member.
`void` | `setBody(SciCodeBlock body)` Sets the body of this function to the specified code block value.

Methods inherited from interface com.togethersoft.openapi.sci.SciElement
`accept, canSetName, canSetProperty, getDeclarationText, getName, getQualifiedName, getTagList, getUniqueName, hasProperty, isDeleted, isPropertyReadable, isPropertyWritable, setName, setProperty, visitReferences, visitReferences`

Methods inherited from interface com.togethersoft.openapi.sci.SciObject
`canCut, canDelete, canReplace, copy, cut, delete, getContainingFile, getContainingScope, getLanguage, getPositions, getText, getUserProperty, isReadOnly, replace, setUserProperty`

Method Detail

### canSetBody

    public boolean canSetBody(SciCodeBlock body)

  Checks whether is it possible to set the body of this function to the specified code block value.
  Parameters:
    body - The `SciCodeBlock` containing a body for this function. Usually, it is created using the SciGenericFactory.newCodeBlock or SciFactory.newCodeBlock methods.
  Returns: `true` if the specified code block value can be set as a body for this function

### getBody

    public SciCodeBlock getBody()

  Returns code block with the body of this function.
  Returns: `SciCodeBlock` with the body of this function

### getContainingClass

    public SciClass getContainingClass()

  Returns the class/interface containing this member.
  Returns: the `SciClass` containing this member

### setBody

    public void setBody(SciCodeBlock body)

  Sets the body of this function to the specified code block value.
  Parameters:
    body - The `SciCodeBlock` containing a body for this function. Usually, it is created using the SciGenericFactory.newCodeBlock or SciFactory.newCodeBlock methods.

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD